Subject: Re: Vim and Cygnus
From: Shiv Kumar <[email-masked]>
To: Stefan Petrucha <[email-masked]>, cygwin <[email-masked]>, Vim Mailing List <[email-masked]>
Date: Thu, 01 Jun 2000 16:48:41 +0530

Hi

I tried using this script for invoking vim, so that it understands Cygwin paths
:-

#!/bin/sh
echo $* | xargs -n1 cygpath -w | sed -e 's#\\#/#g' | xargs  vim -T win32

Two problems :

  1. It is very slow. That I can understand because so many things are done
     before Vim is actually invoked.

  2. Two, Vim is complaining, 'Vim: Warning : Input is not from a terminal'.
     Also, Vim takes much time to respond to first keystore (for eg, ':' takes
     almost 30 seconds to appear). Subsequent keystores are fine.

Any help?
--
shiv
[email-masked]

Stefan Petrucha wrote:

> Shiv Kumar wrote:
> > I am using Cygnus tools (cygwin 1.1) and Vim for my development (powerful
> > combination). My shell is bash and the cygnus root is D:/root.  Cygwin has
> > created certain mount points for convenience :
> >
> >      $ mount
> >      D:\root\bin         /usr/bin            user         binmode
> >      D:\root\lib         /usr/lib            user         binmode
> >      D:\root             /                   user         binmode
> >      $ cat /tmp/x
> >      Test file
> >      $vim /tmp/x
> >      [New File]
> >
> > Vim searches for a file called D:/tmp/x which does not exist.
> >
> > Is there any way by which I can make Vim recognize cygwin mount points?
>
> Seems you have the Win32 version of vim. I use the GUI version (gvim)
> and had this problem too. You can get or compile a cygwin version or as
> me use the cygpath utility to get the native Windows path out of cygwin
> path:
>
> $ vim `cygpath -w /tmp/x`
>
> or simpler with script (named mywim for example) as:
>
> #!/usr/bin/bash
> vim `cygpath -w $1`
>
> and then
>
> $ myvim /tmp/x
>
> I created a little bit more complicated script that changes all file
> parameters to cygwin paths and then calls gvim, but can't find it now.
>
> Stefan Petrucha
> --
> http://www.isnet.sk/petrucha

__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]